Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.plastic
Class PlasticScrollBarUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.ScrollBarUI
              javax.swing.plaf.basic.BasicScrollBarUI
                  javax.swing.plaf.metal.MetalScrollBarUI
                      com.jgoodies.looks.plastic.PlasticScrollBarUI

All Implemented Interfaces:
  LayoutManager, SwingConstants

public final class PlasticScrollBarUI
extends MetalScrollBarUI

The JGoodies Plastic L&F implementation of `ScrollBarUI`. Can add a pseudo 3D effect and honors the Plastic Option `ScrollBar.maxBumpsWidth` to limit the with of the scroll bar bumps.

Version:
  $Revision: 1.2 $
Author:
  Karsten Lentzsch

Nested Class Summary

Nested classes inherited from class javax.swing.plaf.basic.BasicScrollBarUI
`BasicScrollBarUI.ArrowButtonListener, BasicScrollBarUI.ModelListener, BasicScrollBarUI.PropertyChangeHandler, BasicScrollBarUI.ScrollListener, BasicScrollBarUI.TrackListener`

Field Summary
`static String` | `MAX_BUMPS_WIDTH_KEY`

Fields inherited from class javax.swing.plaf.metal.MetalScrollBarUI
`decreaseButton, FREE_STANDING_PROP, increaseButton, isFreeStanding, scrollBarWidth`

Fields inherited from class javax.swing.plaf.basic.BasicScrollBarUI
`buttonListener, decrButton, DECREASE_HIGHLIGHT, incrButton, INCREASE_HIGHLIGHT, isDragging, maximumThumbSize, minimumThumbSize, modelListener, NO_HIGHLIGHT, propertyChangeListener, scrollbar, scrollListener, scrollTimer, thumbDarkShadowColor, thumbLightShadowColor, thumbRect, trackColor, trackHighlight, trackHighlightColor, trackListener, trackRect`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Constructor Summary
`PlasticScrollBarUI()`

Method Summary
`protected void` | `configureScrollBarColors()`
`protected JButton` | `createDecreaseButton(int orientation)`
`protected JButton` | `createIncreaseButton(int orientation)`
`static ComponentUI` | `createUI(JComponent b)`
`protected void` | `installDefaults()`
`protected void` | `paintThumb(Graphics g, JComponent c, Rectangle thumbBounds)`
`protected void` | `paintTrack(Graphics g, JComponent c, Rectangle trackBounds)`

Methods inherited from class javax.swing.plaf.metal.MetalScrollBarUI
`createPropertyChangeListener, getMinimumThumbSize, getPreferredSize, installListeners, setThumbBounds`

Methods inherited from class javax.swing.plaf.basic.BasicScrollBarUI
`addLayoutComponent, createArrowButtonListener, createModelListener, createScrollListener, createTrackListener, getMaximumSize, getMaximumThumbSize, getMinimumSize, getThumbBounds, getTrackBounds, installComponents, installKeyboardActions, installUI, layoutContainer, layoutHScrollbar, layoutVScrollbar, minimumLayoutSize, paint, paintDecreaseHighlight, paintIncreaseHighlight, preferredLayoutSize, removeLayoutComponent, scrollByBlock, scrollByUnit, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_BUMPS_WIDTH_KEY

    public static final String MAX_BUMPS_WIDTH_KEY

See Also:
  Constant Field Values

Constructor Detail

### PlasticScrollBarUI

    public PlasticScrollBarUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent b)

### installDefaults

    protected void installDefaults()

### createDecreaseButton

    protected JButton createDecreaseButton(int orientation)

### createIncreaseButton

    protected JButton createIncreaseButton(int orientation)

### configureScrollBarColors

    protected void configureScrollBarColors()

### paintTrack

    protected void paintTrack(Graphics g,
                              JComponent c,
                              Rectangle trackBounds)

### paintThumb

    protected void paintThumb(Graphics g,
                              JComponent c,
                              Rectangle thumbBounds)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 JGoodies Karsten Lentzsch. All Rights Reserved.